
<div class="container">
    <div 
        class="transaction" 
        *ngFor="let item of transactions | async"
        [routerLink]="['/transaction', item.id]"
    >
        <p>Transaction ID: {{item.id}}</p>
        <p *ngIf="item.status === 'waiting'" class="text-yellow-600">Waiting for Payment</p>
        <p *ngIf="item.status === 'paid'" class="text-green-600	">Success</p>
        <p *ngIf="item.status === 'canceled'" class="text-red-600">Canceled</p>

        <p>Total: {{item.amount | currency:'IDR'}}</p>

        <!-- Product List -->
        <div *ngIf="item.products.length > 0">
            <div *ngFor="let product of item.products">
                <div  class="flex ">
                    <div>
                        <img [src]="product.image" height="100px" alt="">
                    </div>
                    <div class="ml-4">
                        <p>{{product.name}}</p>
                        <p>{{product.desc}}</p>
                    </div>
                </div>
            </div>
        </div>

        <p-divider type="dashed"></p-divider>
    </div>
</div>
